# container

A container defines a namespace for objects. Applies to Object Storage v1

## container create

Create new container

    openstack container create
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--public]
        [--storage-policy STORAGE_POLICY]
        <container-name>
        [<container-name> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--public

  Make the container publicly accessible

--storage-policy <STORAGE_POLICY>

  Specify a particular storage policy to use.

container-name

  New container name(s)

## container delete

Delete container

    openstack container delete [--recursive] <container> [<container> ...]

--recursive, -r

  Recursively delete objects and container

container

  Container(s) to delete

## container list

List containers

    openstack container list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <marker>]
        [--end-marker <end-marker>]
        [--long]
        [--all]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--end-marker <end-marker>

  End anchor for paging

--long

  List additional fields in output

--all

  List all containers (default is 10000)

## container save

Save container contents locally

    openstack container save <container>

container

  Container to save

## container set

Set container properties

    openstack container set --property <key =value> <container>

--property <key=value>

  Set a property on this container (repeat option to set multiple properties)

container

  Container to modify

## container show

Display container details

    openstack container show <container>

container

  Container to display

## container unset

Unset container properties

    openstack container unset --property <key> <container>

--property <key>

  Property to remove from container (repeat option to remove multiple properties)

container

  Container to modify

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.